/* ACM-ICPC 国内予選問題 Problem B */
// http://sparth.u-aizu.ac.jp/icpc2008/d_problem.php?lang=jp#section_B
// filename = b.c
// アルゴリズム
// 事前に 30万以下の月曜土曜素数を全て求めておく
// 与えられた月曜土曜数を割り切る月曜土曜素数を出力する

#include <stdio.h>
#define MAX_NUM 300000	// 与えられる月曜土曜数はこれより小さい
#define SIZE (MAX_NUM/7 *2 + 1)	// 1より大きくMAX_NUMより小さい月曜土曜数の個数は
				// 高々 SIZE個
int n16[SIZE];	// 1より大きくMAX_NUMより小さい月曜土曜数のリスト
int nn16;	// 配列 n16 に格納されている月曜土曜数の個数
int flag[SIZE];	// エラトステネスのふるいにより素数を求める際のフラグ 1=素数 0=素数以外
int prime[SIZE];	// 1より大きくMAX_NUMより小さい月曜土曜素数のリスト
int np;	// 配列 prime に格納されている月曜土曜素数の個数

// 1 より大きく MAX_NUM より小さい月曜土曜数のリストと
// 1 より大きく MAX_NUM より小さい月曜土曜素数のリストを作成する関数
void init()
{
  int i,j,k,n;
  // 1 より大きく MAX_NUM より小さい月曜土曜数のリストを作成
  nn16 = 0; i=1;
  while(1){
    n = 7*i - 1;
    if(n < MAX_NUM){
      n16[nn16++] = n;
    }
    else break;
    n += 2;	// n = 7*i + 1;
    if(n < MAX_NUM){
      n16[nn16++] = n;
    }
    else break;
    i++;
  }
  // エラトステネスのふるい
  // まずフラグを初期化する
  for(i=0; i<nn16; i++) flag[i] = 1;
  // 月曜土曜素数の倍数のフラグを 0 にする
  for(i=0; i<nn16; i++){
    if(flag[i] == 0) continue;
    for(j=0; j<nn16; j++){
      n = n16[i]*n16[j];
      if(n >= MAX_NUM) break;
      k = (n+1)/7 - 1;		// n が格納されている場所は 2*k または 2*k+1
      if((n+1) % 7 == 0) flag[2*k] = 0;
      else flag[2*k+1] = 0;
    }
  }
  // 月曜土曜素数を配列 prime に格納
  np = 0;
  for(i=0; i<nn16; i++){
    if(flag[i]) prime[np++] = n16[i];
  }
}

void solve(int n)
{
  int i;
  printf("%d:", n);
  for(i=0; i<np; i++){
    if(prime[i] > n) break;
    if(n % prime[i] == 0) printf(" %d", prime[i]);
  }
  printf("\n");
}

int main()
{
  int n;
  init();	// 1より大きく MAX_NUM より小さい月曜土曜素数を事前に生成しておく。
  while(1){
    scanf("%d", &n);		// n の入力
    if(n == 1) break;		// n = 1 なら終了
    solve(n);
  }
}
